using Hotline.Settings.Hotspots;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.JudicialManagement
{
    /// <summary>
    /// 司法行政监督管理指定热点
    /// </summary>
    [Description("司法行政监督管理指定热点")]
    public class EnforcementHotspot : CreationSoftDeleteEntity
    {
        public string HotSpotName { get; set; }
        [SugarColumn(IsNullable = true)]
        public string ParentId { get; set; }
        [SugarColumn(IsNullable = true)]
        public string PYCode { get; set; }
        [SugarColumn(IsNullable = true)]
        public string FullPYCode { get; set; }
        public string ProvinceCode { get; set; }
        public int OrderBy { get; set; }
        public string TrunkNum { get; set; }
        /// <summary>
        /// 生成的时候写入
        /// </summary>
        public string HotSpotFullName { get; set; }

        [SugarColumn(IsIgnore = true)]
        public List<EnforcementHotspot> Children { get; set; }

        [SugarColumn(IsIgnore = true)]
        public bool HasChild { get; set; }

    }
}
